﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GrapeCity.Windows.SpreadSheet.UI;
using GrapeCity.Windows.SpreadSheet.Data;

namespace SpreadSLLimitingViewPorts
{
    public partial class MainPage : UserControl
    {
        Boolean vifbool= false;
        public MainPage()
        {
            InitializeComponent();
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            GrapeCity.Windows.SpreadSheet.Data.CellRange r;
            r = new GrapeCity.Windows.SpreadSheet.Data.CellRange(0, 0, 3, 3);
            gcSpreadSheet1.Sheets[0].AddSpanCell(r, GrapeCity.Windows.SpreadSheet.Data.SheetArea.Cells);
            gcSpreadSheet1.ActiveSheet.Cells[0, 0].Value = "Drag Split Box";
        }

        private void gcSpreadSheet1_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            HitTestInformation info = gcSpreadSheet1.HitTest(e.GetPosition(gcSpreadSheet1).X, e.GetPosition(gcSpreadSheet1).Y);
            if (info.HitTestType == HitTestType.ColumnSplitBox)
            {
                vifbool = true;
            }
            if (info.HitTestType == HitTestType.RowSplitBox)
            {
                vifbool = true;
            }
        }

        private void gcSpreadSheet1_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            if (vifbool == true)
            {
                ViewportInfo vif = gcSpreadSheet1.ActiveSheet.GetViewportInfo();
                if (vif.ColumnViewportCount > 3)
                {
                    for (int i = 2; i <= vif.ColumnViewportCount; i++)
                    {
                        gcSpreadSheet1.RemoveColumnViewport(i); // remove the viewport here if exceeds the set limit(3)                      
                    }
                    MessageBox.Show("You can not create more than 3 Column ViewPorts"); 
                }
                if (vif.RowViewportCount > 3)
                {
                    for (int i = 2; i <= vif.RowViewportCount; i++)
                    {
                        gcSpreadSheet1.RemoveRowViewport(i); // remove the viewport here if exceeds the set limit(3)                    
                    }
                    MessageBox.Show("You can not create more than 3 Row ViewPorts");   
                }

                vifbool = false;
            }
        }
    }
}
